<?php
/**
 * Loads the necessary assets for the dynamic tag template functionality.
 *
 * @package EaLab\WP_Deployer
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'deploy_sync_content__dynamic_tag_template' ) ) {
	/**
	 * Loads the necessary assets for the dynamic tag template functionality.
	 */
	function deploy_sync_content__dynamic_tag_template(): void {
		/**
		 * Enqueue the assets for the tracking queue progress component.
		 */
		wp_enqueue_style(
			'deploy-sync-content--dynamic-tag-template',
			plugins_url( '/admin/assets/css/dynamic-tag-template.css', DEPLOY_SYNC_CONTENT__PLUGIN_FILE ),
			array(),
			DEPLOY_SYNC_CONTENT__VERSION
		);

		wp_enqueue_script(
			'deploy-sync-content--dynamic-tag-template',
			plugins_url( '/admin/assets/js/dynamic-tag-template.js', DEPLOY_SYNC_CONTENT__PLUGIN_FILE ),
			array(),
			DEPLOY_SYNC_CONTENT__VERSION,
			true
		);
	}

	// Call this once.
	deploy_sync_content__dynamic_tag_template();
}
